PHP Manual
Prev | Chapter 7. Types | Next

# NULL

The special `NULL` value represents that a variable has no value. `NULL` is the only possible value of type NULL.

> Note: The null type was introduced in PHP 4

A variable is considered to be `NULL` if

- it has been assigned the constant `NULL`.

- it has not been set to any value yet.

- it has been unset().

## Syntax

There is only one value of type `NULL`, and that is the case-insensitive keyword `NULL`.

    $var = NULL;

See also is_null() and unset().

Prev | Home | Next
Resource | Up | Pseudo-types used in this documentation